#music
execute as @a[scores={music=2}] at @s run playsound music.lobby record @s ~ ~ ~ 1000
scoreboard players reset @a[scores={music=1920..}] music

#force spectate
#execute as @a[scores={player=1..}] run spectate @e[tag=credits,type=villager,limit=1]

#invisibility
effect give @a invisibility 1 255 true

#change viewing
execute as @e[tag=controller,type=armor_stand,scores={time=0..200}] run tp @a[scores={player=1..}] 284 5 -793 38 -7
execute as @e[tag=controller,type=armor_stand,scores={time=100}] run title @a subtitle {"text":"Of Part 1","color":"dark_purple"}
execute as @e[tag=controller,type=armor_stand,scores={time=100}] run title @a times 0 100 0
execute as @e[tag=controller,type=armor_stand,scores={time=100}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=201..400}] run tp @a[scores={player=1..}] 330 21 -699 -180 10
execute as @e[tag=controller,type=armor_stand,scores={time=201}] run title @a title {"text":"Created by","color":"dark_red"}
execute as @e[tag=controller,type=armor_stand,scores={time=201}] run title @a subtitle [{"text":"LetzTaco","color":"red"},{"text":" and ","color":"red"},{"text":"GhostFarts","color":"red"}]
execute as @e[tag=controller,type=armor_stand,scores={time=201}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=201}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=401..600}] run tp @a[scores={player=1..}] 446 7 -917 -80 -8
execute as @e[tag=controller,type=armor_stand,scores={time=401}] run title @a title {"text":"Youtube","color":"white"}
execute as @e[tag=controller,type=armor_stand,scores={time=401}] run title @a subtitle [{"text":"LetzTaco","color":"dark_red"}]
execute as @e[tag=controller,type=armor_stand,scores={time=401}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=401}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=601..800}] run tp @a[scores={player=1..}] 500 11 -814 -90 -10
execute as @e[tag=controller,type=armor_stand,scores={time=601}] run title @a title {"text":"Builds by","color":"dark_green"}
execute as @e[tag=controller,type=armor_stand,scores={time=601}] run title @a subtitle [{"text":"GhostFarts","color":"green"}]
execute as @e[tag=controller,type=armor_stand,scores={time=601}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=601}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=801..1000}] run tp @a[scores={player=1..}] 277 14 -902 0 20
execute as @e[tag=controller,type=armor_stand,scores={time=801}] run title @a title {"text":"Commands by","color":"gold"}
execute as @e[tag=controller,type=armor_stand,scores={time=801}] run title @a subtitle [{"text":"LetzTaco","color":"yellow"}]
execute as @e[tag=controller,type=armor_stand,scores={time=801}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=801}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=1001..1200}] run tp @a[scores={player=1..}] 406 6 -481 90 -5
execute as @e[tag=controller,type=armor_stand,scores={time=1001}] run title @a title {"text":"Music by","color":"blue"}
execute as @e[tag=controller,type=armor_stand,scores={time=1001}] run title @a subtitle [{"text":"Craftmazter2000","color":"aqua"},{"text":" and ","color":"aqua"},{"text":"GhostFarts","color":"aqua"}]
execute as @e[tag=controller,type=armor_stand,scores={time=1001}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=1001}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=1201..1400}] run tp @a[scores={player=1..}] 372 8 -912 -180 0
execute as @e[tag=controller,type=armor_stand,scores={time=1201}] run title @a title {"text":"Your deaths","color":"dark_gray"}
execute as @e[tag=controller,type=armor_stand,scores={time=1201}] as @a run title @s subtitle [{"score":{"name":"@s","objective":"totalDeaths"},"color":"gray","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=1201}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=1201}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=1401..1600}] run tp @a[scores={player=1..}] 341 13 -402 -180 0
execute as @e[tag=controller,type=armor_stand,scores={time=1401}] run scoreboard players set #max totalDeaths -2147483648
execute as @e[tag=controller,type=armor_stand,scores={time=1401}] run scoreboard players operation #max totalDeaths > @a[scores={player=1..}] totalDeaths
execute as @e[tag=controller,type=armor_stand,scores={time=1401}] run title @a title {"text":"Most deaths","color":"dark_gray"}
execute as @e[tag=controller,type=armor_stand,scores={time=1401}] run team leave @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=1401}] as @a if score @s totalDeaths = #max totalDeaths run tag @s add mostDeaths
execute as @e[tag=controller,type=armor_stand,scores={time=1401}] as @a run title @s subtitle [{"selector":"@a[tag=mostDeaths]","color":"gray","bold":"false"},{"text":" with ","color":"gray","bold":"false"},{"score":{"name":"@a[tag=mostDeaths,limit=1]","objective":"totalDeaths"},"color":"gray","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=1401}] run team join game @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=1401}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=1401}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=1601..1800}] run particle falling_dust purpur_block 481 15 -702 1 5 1 0 20 force @a
execute as @e[tag=controller,type=armor_stand,scores={time=1601..1800}] run tp @a[scores={player=1..}] 481 5 -702 90 -90
execute as @e[tag=controller,type=armor_stand,scores={time=1601}] run scoreboard players set #min totalDeaths 2147483647
execute as @e[tag=controller,type=armor_stand,scores={time=1601}] run scoreboard players operation #min totalDeaths < @a[scores={player=1..}] totalDeaths
execute as @e[tag=controller,type=armor_stand,scores={time=1601}] run title @a title {"text":"Least deaths","color":"dark_gray"}
execute as @e[tag=controller,type=armor_stand,scores={time=1601}] run team leave @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=1601}] as @a if score @s totalDeaths = #min totalDeaths run tag @s add leastDeaths
execute as @e[tag=controller,type=armor_stand,scores={time=1601}] as @a run title @s subtitle [{"selector":"@a[tag=leastDeaths]","color":"gray","bold":"false"},{"text":" with ","color":"gray","bold":"false"},{"score":{"name":"@a[tag=leastDeaths,limit=1]","objective":"totalDeaths"},"color":"gray","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=1601}] run team join game @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=1601}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=1601}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=1801..2000}] run tp @a[scores={player=1..}] 497 6 -598 0 -15
execute as @e[tag=controller,type=armor_stand,scores={time=1801}] run title @a title {"text":"Your kills","color":"dark_red"}
execute as @e[tag=controller,type=armor_stand,scores={time=1801}] as @a run title @s subtitle [{"score":{"name":"@s","objective":"totalKills"},"color":"red","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=1801}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=1801}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=2001..2200}] run tp @a[scores={player=1..}] 568 13 -1195 -90 -10
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] run scoreboard players set #max totalKills -2147483648
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] run scoreboard players operation #max totalKills > @a[scores={player=1..}] totalKills
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] run title @a title {"text":"Most kills","color":"dark_red"}
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] run team leave @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] as @a if score @s totalKills = #max totalKills run tag @s add mostKills
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] as @a run title @s subtitle [{"selector":"@a[tag=mostKills]","color":"red","bold":"false"},{"text":" with ","color":"red","bold":"false"},{"score":{"name":"@a[tag=mostKills,limit=1]","objective":"totalKills"},"color":"red","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] run team join game @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=2001}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=2201..2400}] run tp @a[scores={player=1..}] 435 12 -1047 -155 0
execute as @e[tag=controller,type=armor_stand,scores={time=2201}] run scoreboard players set #min totalKills 2147483647
execute as @e[tag=controller,type=armor_stand,scores={time=2201}] run scoreboard players operation #min totalKills < @a[scores={player=1..}] totalKills
execute as @e[tag=controller,type=armor_stand,scores={time=2201}] run title @a title {"text":"Least kills","color":"dark_red"}
execute as @e[tag=controller,type=armor_stand,scores={time=2201}] run team leave @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=2201}] as @a if score @s totalKills = #min totalKills run tag @s add leastKills
execute as @e[tag=controller,type=armor_stand,scores={time=2201}] as @a run title @s subtitle [{"selector":"@a[tag=leastKills]","color":"red","bold":"false"},{"text":" with ","color":"red","bold":"false"},{"score":{"name":"@a[tag=leastKills,limit=1]","objective":"totalKills"},"color":"red","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=2201}] run team join game @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=2201}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=2201}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=2401..2600}] run tp @a[scores={player=1..}] 1020 24 -1054 -90 -25
execute as @e[tag=controller,type=armor_stand,scores={time=2401}] run title @a title {"text":"Your boss kills","color":"gold"}
execute as @e[tag=controller,type=armor_stand,scores={time=2401}] as @a run title @s subtitle [{"score":{"name":"@s","objective":"bossKills"},"color":"yellow","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=2401}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=2401}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=2601..2800}] run tp @a[scores={player=1..}] 210 7.5 -818 8 14
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] run scoreboard players set #max bossKills -2147483648
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] run scoreboard players operation #max bossKills > @a[scores={player=1..}] bossKills
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] run title @a title {"text":"Most boss kills","color":"gold"}
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] run team leave @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] as @a if score @s bossKills = #max bossKills run tag @s add mostBK
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] as @a run title @s subtitle [{"selector":"@a[tag=mostBK]","color":"yellow","bold":"false"},{"text":" with ","color":"yellow","bold":"false"},{"score":{"name":"@a[tag=mostBK,limit=1]","objective":"bossKills"},"color":"yellow","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] run team join game @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=2601}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=2801..3000}] run tp @a[scores={player=1..}] 547 11 -609 -90 -5
execute as @e[tag=controller,type=armor_stand,scores={time=2801}] run scoreboard players set #min bossKills 2147483647
execute as @e[tag=controller,type=armor_stand,scores={time=2801}] run scoreboard players operation #min bossKills < @a[scores={player=1..}] bossKills
execute as @e[tag=controller,type=armor_stand,scores={time=2801}] run title @a title {"text":"Least boss kills","color":"gold"}
execute as @e[tag=controller,type=armor_stand,scores={time=2801}] run team leave @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=2801}] as @a if score @s bossKills = #min bossKills run tag @s add leastBK
execute as @e[tag=controller,type=armor_stand,scores={time=2801}] as @a run title @s subtitle [{"selector":"@a[tag=leastBK]","color":"yellow","bold":"false"},{"text":" with ","color":"yellow","bold":"false"},{"score":{"name":"@a[tag=leastBK,limit=1]","objective":"bossKills"},"color":"yellow","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=2801}] run team join game @a[scores={player=1..}]
execute as @e[tag=controller,type=armor_stand,scores={time=2801}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=2801}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=3001..3200}] run tp @a[scores={player=1..}] 339 57 -142 -160 25
execute as @e[tag=controller,type=armor_stand,scores={time=3001}] run title @a title {"text":"Total playtime","color":"white"}
execute as @e[tag=controller,type=armor_stand,scores={time=3001}] run title @a subtitle [{"score":{"name":"@s","objective":"hour"},"color":"dark_gray","bold":"false"},{"text":"h ","color":"gray","bold":"false"},{"score":{"name":"@s","objective":"minute"},"color":"dark_gray","bold":"false"},{"text":"m ","color":"gray","bold":"false"},{"score":{"name":"@s","objective":"second"},"color":"dark_gray","bold":"false"},{"text":"s","color":"gray","bold":"false"}]
execute as @e[tag=controller,type=armor_stand,scores={time=3001}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=3001}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000

execute as @e[tag=controller,type=armor_stand,scores={time=3201..}] run tp @a[scores={player=1..}] 330 5 -818 -90 -5
execute as @e[tag=controller,type=armor_stand,scores={time=3201..}] run title @a title {"text":"Thanks for Playing","color":"dark_purple"}
execute as @e[tag=controller,type=armor_stand,scores={time=3201..}] run title @a subtitle [{"text":"The Illusioner Part 1","color":"light_purple"}]
execute as @e[tag=controller,type=armor_stand,scores={time=3201..}] run title @a times 0 200 0
execute as @e[tag=controller,type=armor_stand,scores={time=3201}] as @a run playsound block.note_block.hat master @s ~ ~ ~ 1000