execute as @e[name=Candyman,type=villager] at @s run teleport @s ~ ~ ~ facing entity @p[scores={minigames=1..}] eyes

#spectate
execute if entity @e[tag=controller,type=armor_stand,tag=specMode] as @a[scores={player=1..},gamemode=spectator] at @s run spectate @p[scores={minigames=1..,player=1..}] @s

#start
execute as @e[type=armor_stand,tag=controller,tag=playingMinigame2] run scoreboard players add @s minigameTime 1

execute as @e[type=armor_stand,tag=controller,scores={minigameTime=1..}] run title @a[scores={minigames=1..}] times 0 20 0 
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=1..20}] run title @a[scores={minigames=1..}] title [{"text":"3","color":"red"}]
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=1}] as @a[scores={minigames=1..}] at @s run playsound block.note_block.chime master @s ~ ~ ~ 1000
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=21..40}] run title @a[scores={minigames=1..}] title [{"text":"2","color":"yellow"}]
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=21}] as @a[scores={minigames=1..}] at @s run playsound block.note_block.chime master @s ~ ~ ~ 1000
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=41..60}] run title @a[scores={minigames=1..}] title [{"text":"1","color":"green"}]
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=41}] as @a[scores={minigames=1..}] at @s run playsound block.note_block.chime master @s ~ ~ ~ 1000
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=61}] run title @a[scores={minigames=1..}] title [{"text":""}]
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=61}] as @a[scores={minigames=1..}] at @s run playsound entity.generic.explode master @s ~ ~ ~ 1000

#timer
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=61..}] run scoreboard players add @s timerD1 1
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=61..,timerD1=20}] run scoreboard players remove @s timerD2 1
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=61..,timerD1=20,timerD2=-1}] run scoreboard players remove @s timerD3 1
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=61..,timerD1=20,timerD2=-1}] run scoreboard players set @s timerD2 59
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=61..,timerD1=20}] run scoreboard players reset * timerD1

execute as @e[type=armor_stand,tag=controller,scores={minigameTime=61..,timerD2=0..9}] run title @a actionbar [{"score":{"name":"@e[tag=controller]","objective":"timerD3"},"color":"dark_purple","bold":"false"},{"text":":","color":"dark_purple","bold":"false"},{"text":"0","color":"dark_purple","bold":"false"},{"score":{"name":"@e[tag=controller]","objective":"timerD2"},"color":"dark_purple","bold":"false"},{"text":" | ","color":"dark_gray","bold":"true"},{"score":{"name":"@e[tag=controller]","objective":"colorTime"},"color":"light_purple","bold":"false"}]
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=61..,timerD2=10..}] run title @a actionbar [{"score":{"name":"@e[tag=controller]","objective":"timerD3"},"color":"dark_purple","bold":"false"},{"text":":","color":"dark_purple","bold":"false"},{"score":{"name":"@e[tag=controller]","objective":"timerD2"},"color":"dark_purple","bold":"false"},{"text":" | ","color":"dark_gray","bold":"true"},{"score":{"name":"@e[tag=controller]","objective":"colorTime"},"color":"light_purple","bold":"false"}]

#mechanics
tag @e[tag=colorBlock,type=area_effect_cloud] remove air
execute as @e[tag=colorBlock,type=area_effect_cloud] at @s if block ~ ~ ~ air run tag @s add air

execute as @e[type=armor_stand,tag=controller,scores={minigameTime=61..}] as @e[type=area_effect_cloud,tag=colorBlock,limit=1,tag=air] run scoreboard players remove @e[tag=controller] resetTime 1
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=61..,resetTime=100}] run scoreboard players remove @s colorTime 1

execute as @e[type=armor_stand,tag=controller,scores={minigameTime=61,colorAdvance=0}] run fill 197 16 -766 197 5 -785 lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=61,colorAdvance=0}] run fill 199 5 -787 218 16 -787 lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=61,colorAdvance=0}] run fill 220 5 -785 220 16 -766 lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=61,colorAdvance=0}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={minigameTime=61,colorAdvance=0}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=1}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!lime] at @s unless block ~ ~ ~ lime_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=1}] run fill 197 16 -766 197 5 -785 blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=1}] run fill 199 5 -787 218 16 -787 blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=1}] run fill 220 5 -785 220 16 -766 blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=1}] as @e[tag=colorDisplay] at @s run setblock ~ ~ ~ blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=1}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=2}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!blue] at @s unless block ~ ~ ~ blue_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=2}] run fill 197 16 -766 197 5 -785 yellow_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=2}] run fill 199 5 -787 218 16 -787 yellow_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=2}] run fill 220 5 -785 220 16 -766 yellow_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=2}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ yellow_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=2}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=3}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!yellow] at @s unless block ~ ~ ~ yellow_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=3}] run fill 197 16 -766 197 5 -785 red_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=3}] run fill 199 5 -787 218 16 -787 red_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=3}] run fill 220 5 -785 220 16 -766 red_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=3}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ red_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=3}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=4}] as @e[tag=colorBlock,tag=!red] at @s unless block ~ ~ ~ red_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=4}] run fill 197 16 -766 197 5 -785 light_blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=4}] run fill 199 5 -787 218 16 -787 light_blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=4}] run fill 220 5 -785 220 16 -766 light_blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=4}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ light_blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=4}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=5}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!light_blue] at @s unless block ~ ~ ~ light_blue_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=5}] run tellraw @a [{"text":"Candyman: ","color":"gold","bold":"true"},{"text":"Faster!","color":"gold","bold":"false"}]
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=5}] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=5}] run fill 197 16 -766 197 5 -785 black_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=5}] run fill 199 5 -787 218 16 -787 black_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=5}] run fill 220 5 -785 220 16 -766 black_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=5}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ black_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=5}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=6}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!black] at @s unless block ~ ~ ~ black_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=6}] run fill 197 16 -766 197 5 -785 magenta_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=6}] run fill 199 5 -787 218 16 -787 magenta_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=6}] run fill 220 5 -785 220 16 -766 magenta_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=6}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ magenta_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=6}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=7}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!magenta] at @s unless block ~ ~ ~ magenta_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=7}] run fill 197 16 -766 197 5 -785 red_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=7}] run fill 199 5 -787 218 16 -787 red_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=7}] run fill 220 5 -785 220 16 -766 red_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=7}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ red_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=7}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=8}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!red] at @s unless block ~ ~ ~ red_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=8}] run fill 197 16 -766 197 5 -785 orange_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=8}] run fill 199 5 -787 218 16 -787 orange_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=8}] run fill 220 5 -785 220 16 -766 orange_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=8}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ orange_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=8}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=9}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!orange] at @s unless block ~ ~ ~ orange_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=9}] run fill 197 16 -766 197 5 -785 lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=9}] run fill 199 5 -787 218 16 -787 lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=9}] run fill 220 5 -785 220 16 -766 lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=9}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=9}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=10}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!lime] at @s unless block ~ ~ ~ lime_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=10}] run tellraw @a [{"text":"Candyman: ","color":"gold","bold":"true"},{"text":"Faster!","color":"gold","bold":"false"}]
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=10}] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=10}] run fill 197 16 -766 197 5 -785 red_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=10}] run fill 199 5 -787 218 16 -787 red_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=10}] run fill 220 5 -785 220 16 -766 red_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=10}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ red_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=10}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=11}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!red] at @s unless block ~ ~ ~ red_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=11}] run fill 197 16 -766 197 5 -785 cyan_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=11}] run fill 199 5 -787 218 16 -787 cyan_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=11}] run fill 220 5 -785 220 16 -766 cyan_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=11}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ cyan_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=11}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=12}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!cyan] at @s unless block ~ ~ ~ cyan_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=12}] run fill 197 16 -766 197 5 -785 blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=12}] run fill 199 5 -787 218 16 -787 blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=12}] run fill 220 5 -785 220 16 -766 blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=12}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=12}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=13}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!blue] at @s unless block ~ ~ ~ blue_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=13}] run fill 197 16 -766 197 5 -785 orange_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=13}] run fill 199 5 -787 218 16 -787 orange_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=13}] run fill 220 5 -785 220 16 -766 orange_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=13}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ orange_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=13}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=14}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!orange] at @s unless block ~ ~ ~ orange_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=14}] run fill 197 16 -766 197 5 -785 blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=14}] run fill 199 5 -787 218 16 -787 blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=14}] run fill 220 5 -785 220 16 -766 blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=14}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=14}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=15}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!blue] at @s unless block ~ ~ ~ blue_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=15}] run tellraw @a [{"text":"Candyman: ","color":"gold","bold":"true"},{"text":"Faster!","color":"gold","bold":"false"}]
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=15}] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=15}] run fill 197 16 -766 197 5 -785 magenta_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=15}] run fill 199 5 -787 218 16 -787 magenta_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=15}] run fill 220 5 -785 220 16 -766 magenta_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=15}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ magenta_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=15}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=16}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!magenta] at @s unless block ~ ~ ~ magenta_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=16}] run fill 197 16 -766 197 5 -785 black_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=16}] run fill 199 5 -787 218 16 -787 black_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=16}] run fill 220 5 -785 220 16 -766 black_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=16}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ black_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=16}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=17}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!black] at @s unless block ~ ~ ~ black_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=17}] run fill 197 16 -766 197 5 -785 lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=17}] run fill 199 5 -787 218 16 -787 lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=17}] run fill 220 5 -785 220 16 -766 lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=17}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=17}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=18}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!lime] at @s unless block ~ ~ ~ lime_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=18}] run fill 197 16 -766 197 5 -785 lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=18}] run fill 199 5 -787 218 16 -787 lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=18}] run fill 220 5 -785 220 16 -766 lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=18}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ magenta_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=18}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=19}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!lime] at @s unless block ~ ~ ~ magenta_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=19}] run fill 197 16 -766 197 5 -785 red_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=19}] run fill 199 5 -787 218 16 -787 red_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=19}] run fill 220 5 -785 220 16 -766 red_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=19}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ red_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=19}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=20}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!red] at @s unless block ~ ~ ~ red_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=20}] run tellraw @a [{"text":"Candyman: ","color":"gold","bold":"true"},{"text":"Faster!","color":"gold","bold":"false"}]
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=20}] as @a at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=20}] run fill 197 16 -766 197 5 -785 lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=20}] run fill 199 5 -787 218 16 -787 lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=20}] run fill 220 5 -785 220 16 -766 lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=20}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ lime_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=20}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=21}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!lime] at @s unless block ~ ~ ~ lime_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=21}] run fill 197 16 -766 197 5 -785 light_blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=21}] run fill 199 5 -787 218 16 -787 light_blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=21}] run fill 220 5 -785 220 16 -766 light_blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=21}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ light_blue_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=21}] run function single:resetcolorblocks

execute as @e[type=armor_stand,tag=controller,scores={colorTime=0,colorAdvance=22}] as @e[type=area_effect_cloud,tag=colorBlock,tag=!light_blue] at @s unless block ~ ~ ~ light_blue_terracotta run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=22}] run fill 197 16 -766 197 5 -785 yellow_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=22}] run fill 199 5 -787 218 16 -787 yellow_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=22}] run fill 220 5 -785 220 16 -766 yellow_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=22}] as @e[type=area_effect_cloud,tag=colorDisplay] at @s run setblock ~ ~ ~ yellow_terracotta
execute as @e[type=armor_stand,tag=controller,scores={resetTime=0,colorAdvance=22}] run function single:resetcolorblocks

#eliminated
execute as @a[scores={minigames=1..}] at @s if block ~ ~-2 ~ glowstone run gamemode spectator @s
execute as @a[scores={minigames=1..}] at @s if block ~ ~-2 ~ glowstone run scoreboard players set @s leave 1
execute as @a[scores={minigames=1..}] at @s if block ~ ~-1 ~ glowstone run gamemode spectator @s
execute as @a[scores={minigames=1..}] at @s if block ~ ~-1 ~ glowstone run scoreboard players set @s leave 1

#lose
execute unless entity @a[scores={minigames=1..}] run function single:minigame2end

#won
execute as @e[type=armor_stand,tag=controller,scores={timerD3=0,timerD2=0}] run tag @e[tag=controller] add won
execute as @e[type=armor_stand,tag=controller,scores={timerD3=0,timerD2=0}] run function single:minigame2end