kill @e[tag=sprinkles,type=iron_golem]
kill @e[tag=ravager,type=ravager]
kill @e[tag=sprinklesM,type=zombie_villager]
kill @e[tag=sprinklesM,type=snowball]
kill @e[tag=sprinklesM,type=snow_golem]
kill @e[tag=sprinklesM,type=creeper]
kill @e[tag=target,type=area_effect_cloud]
kill @e[tag=targetAim,type=area_effect_cloud]
kill @e[tag=sprinklesD,type=area_effect_cloud]
effect clear @a blindness
effect clear @a levitation
effect clear @a nausea

gamemode adventure @a
tag @e[tag=controller] remove specMode

tag @e[tag=controller,type=armor_stand] remove sprinkles

team modify mob collisionRule always

scoreboard objectives remove sprinkles
scoreboard objectives remove killSprinkles
scoreboard objectives remove killRavager
scoreboard objectives remove sprinklesHP
scoreboard objectives remove wave
scoreboard objectives remove countSpr

bossbar remove minecraft:sprinkles

execute if entity @e[tag=controller,type=armor_stand] run fill 488 65 -401 544 65 -353 air replace ice
execute if entity @e[tag=controller,type=armor_stand,tag=!win] run fill 488 54 -401 544 54 -353 ice replace air
execute if entity @e[tag=controller,type=armor_stand,tag=!win] run fill 488 44 -401 544 44 -353 ice replace air
execute if entity @e[tag=controller,type=armor_stand,tag=!win] run fill 488 34 -401 544 34 -353 ice replace air
execute if entity @e[tag=controller,type=armor_stand,tag=!win] run fill 488 23 -401 544 23 -353 ice replace air

execute if entity @e[tag=controller,type=armor_stand,tag=!win] run fill 512 48 -392 519 51 -392 iron_bars replace air
execute if entity @e[tag=controller,type=armor_stand,tag=!win] run fill 512 38 -392 519 41 -392 iron_bars replace air
execute if entity @e[tag=controller,type=armor_stand,tag=!win] run fill 512 27 -392 519 30 -392 iron_bars replace air

execute if entity @e[tag=controller,type=armor_stand,tag=!win] run summon iron_golem 516 55 -370 {Team:"mob",Rotation:[180.0f,0.0f],Silent:1,Invulnerable:1,PersistenceRequired:1,Tags:["sprinkles"],CustomName:'{"text":"Sprinkles"}',CustomNameVisible:0,Attributes:[{Name:"generic.movementSpeed",Base:0.0},{Name:"generic.knockbackResistance",Base:1.0},{Name:"generic.maxHealth",Base:80.0},{Name:"generic.followRange",Base:0.0}],Health:80}
execute if entity @e[tag=controller,type=armor_stand,tag=!win] at @e[tag=sprinkles,type=iron_golem] run summon area_effect_cloud ~ ~ ~ {Duration:2147483647,Tags:["target"],PersistenceRequired:1,NoGravity:1,Invulnerable:1}
execute if entity @e[tag=controller,type=armor_stand,tag=!win] at @e[tag=sprinkles,type=iron_golem] run summon area_effect_cloud ~ ~ ~ {Duration:2147483647,Tags:["targetAim"],PersistenceRequired:1,NoGravity:1,Invulnerable:1}
execute if entity @e[tag=controller,type=armor_stand,tag=!win] run summon ravager 516.0 48 -395 {Team:"mob",NoAI:1,Tags:["ravager","ravager1"],PersistenceRequired:1,Rotation:[0.0f,0.0f],Attributes:[{Name:"generic.maxHealth",Base:50.0},{Name:"generic.knockbackResistance",Base:1.0},{Name:"generic.attackDamage",Base:7.0}],Health:50}
execute if entity @e[tag=controller,type=armor_stand,tag=!win] run summon ravager 516.0 38 -395 {Team:"mob",NoAI:1,Tags:["ravager","ravager2"],PersistenceRequired:1,Rotation:[0.0f,0.0f],Attributes:[{Name:"generic.maxHealth",Base:50.0},{Name:"generic.knockbackResistance",Base:1.0},{Name:"generic.attackDamage",Base:7.0}],Health:50}
execute if entity @e[tag=controller,type=armor_stand,tag=!win] run summon ravager 516.0 27 -395 {Team:"mob",NoAI:1,Tags:["ravager","ravager3"],Invulnerable:1,PersistenceRequired:1,Rotation:[0.0f,0.0f],Attributes:[{Name:"generic.maxHealth",Base:50.0},{Name:"generic.knockbackResistance",Base:1.0},{Name:"generic.attackDamage",Base:1.0}],Health:50}

execute as @e[tag=controller,tag=!win] run tp @a[scores={player=1..}] 516 74 -399 0 ~

gamemode adventure @a

tag @e[tag=controller,type=armor_stand,tag=win] remove win

#execute if entity @e[tag=controller,type=armor_stand,tag=!win] run summon ravager 516.0 48 -395 {NoAI:1,Tags:["ravager","ravager1"],PersistenceRequired:1,Rotation:[0.0f,0.0f],Attributes:[{Name:"generic.maxHealth",Base:50.0},{Name:"generic.knockbackResistance",Base:1.0}],Health:50,Passengers:[{id:"zombie_villager",Tags:["ravager"],PersistenceRequired:1,NoAI:1,Silent:1,ConversionTime:-1,Health:35,Attributes:[{Name:"generic.maxHealth",Base:35.0},{Name:"generic.movementSpeed",Base:0.32},{Name:"generic.followRange",Base:30.0},{Name:"generic.knockbackResistance",Base:0.5},{Name:"generic.attackDamage",Base:5.0},{Name:"generic.attackKnockback",Base:2.0}],VillagerData:{type:plains,level:6,profession:fisherman},ArmorItems:[{},{},{},{id:"player_head",tag:{display:{tag:"{\"text\":\"Orb (light blue)\"}"},SkullOwner:{Id:"659f8722-9220-4c8d-b803-d6b2403f757f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNmM3ZGVhZjJkN2U3MmYyMWZjYTNhOTk2OTQ0ODFhNjc0ZjUxODVjNDRjM2I4ZjUzYjBiNDkzMTBmZTYxNzY3ZCJ9fX0="}]}}},Count:1b}]}]}
#execute if entity @e[tag=controller,type=armor_stand,tag=!win] run summon ravager 516.0 38 -395 {NoAI:1,Tags:["ravager","ravager2"],PersistenceRequired:1,Rotation:[0.0f,0.0f],Attributes:[{Name:"generic.maxHealth",Base:50.0},{Name:"generic.knockbackResistance",Base:1.0}],Health:50,Passengers:[{id:"zombie_villager",Tags:["ravager"],PersistenceRequired:1,NoAI:1,Silent:1,ConversionTime:-1,Health:35,Attributes:[{Name:"generic.maxHealth",Base:35.0},{Name:"generic.movementSpeed",Base:0.32},{Name:"generic.followRange",Base:30.0},{Name:"generic.knockbackResistance",Base:0.5},{Name:"generic.attackDamage",Base:5.0},{Name:"generic.attackKnockback",Base:2.0}],VillagerData:{type:plains,level:6,profession:fisherman},ArmorItems:[{},{},{},{id:"player_head",tag:{display:{tag:"{\"text\":\"Orb (green)\"}"},SkullOwner:{Id:"3a10c3cc-9721-4510-9a9c-25d20ac8bd12",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNGYwYzQ4MDQzYjIxNTk5NDhlODFjYzU3NWUzZDY5MmFkYjFkNzNiMjViZDAxZDlmNzhiYTg5MmE5NDQ0ZTQyMCJ9fX0="}]}}},Count:1b}]}]}